gtksourceviewmm: Gsv::StyleSchemeChooser Class Reference

gtksourceviewmm 3.21.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gsv::StyleSchemeChooser Class Reference

GtkSourceStyleSchemeChooser is an interface that is implemented by widgets for choosing style schemes. More...

`#include <gtksourceviewmm/styleschemechooser.h>`

Inheritance diagram for Gsv::StyleSchemeChooser:
[legend]

## Public Member Functions
| StyleSchemeChooser (StyleSchemeChooser&& src) noexcept
StyleSchemeChooser& | operator= (StyleSchemeChooser&& src) noexcept
| ~StyleSchemeChooser () noexceptoverride
GtkSourceStyleSchemeChooser* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceStyleSchemeChooser* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceStyleSchemeChooser* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< StyleScheme > | get_style_scheme ()
| Gets the currently-selected scheme. More...
Glib::RefPtr< const StyleScheme > | get_style_scheme () const
| Gets the currently-selected scheme. More...
void | set_style_scheme (const Glib::RefPtr< StyleScheme >& scheme)
| Sets the scheme. More...
Glib::PropertyProxy< Glib::RefPtr< StyleScheme > > | property_style_scheme ()
| Current style scheme. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< StyleScheme > > | property_style_scheme () const
| Current style scheme. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::StyleSchemeChooser > | wrap (GtkSourceStyleSchemeChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

GtkSourceStyleSchemeChooser is an interface that is implemented by widgets for choosing style schemes.

In GtkSourceView, the main widgets that implement this interface are GtkSourceStyleSchemeChooserWidget and GtkSourceStyleSchemeChooserButton.

Since gtksourceviewmm 3.16:

## Constructor & Destructor Documentation

Gsv::StyleSchemeChooser::StyleSchemeChooser | ( | StyleSchemeChooser&& | src | ) |
| noexcept

Gsv::StyleSchemeChooser::~StyleSchemeChooser | ( |  | ) |
| overridenoexcept

## Member Function Documentation

Glib::RefPtr<StyleScheme> Gsv::StyleSchemeChooser::get_style_scheme | ( |  | ) |

Gets the currently-selected scheme.

Returns
  the currently-selected scheme.

Since gtksourceviewmm 3.16:

Glib::RefPtr<const StyleScheme> Gsv::StyleSchemeChooser::get_style_scheme | ( |  | ) | const

Gets the currently-selected scheme.

Since gtksourceviewmm 3.16:

Returns
  The currently-selected scheme.

static GType Gsv::StyleSchemeChooser::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceStyleSchemeChooser* Gsv::StyleSchemeChooser::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceStyleSchemeChooser* Gsv::StyleSchemeChooser::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceStyleSchemeChooser* Gsv::StyleSchemeChooser::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

StyleSchemeChooser& Gsv::StyleSchemeChooser::operator= | ( | StyleSchemeChooser&& | src | ) |
| noexcept

Glib::PropertyProxy< Glib::RefPtr<StyleScheme> > Gsv::StyleSchemeChooser::property_style_scheme | ( |  | ) |

Current style scheme.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<StyleScheme> > Gsv::StyleSchemeChooser::property_style_scheme | ( |  | ) | const

Current style scheme.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gsv::StyleSchemeChooser::set_style_scheme | ( | const Glib::RefPtr< StyleScheme >& | scheme | ) |

Sets the scheme.

Parameters

  scheme | a GtkSourceStyleScheme

Since gtksourceviewmm 3.16:

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::StyleSchemeChooser > wrap | ( | GtkSourceStyleSchemeChooser * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.